org.apache.solr.client.solrj.impl

## Class BinaryResponseParser

- java.lang.Object
- - org.apache.solr.client.solrj.ResponseParser
  - - org.apache.solr.client.solrj.impl.BinaryResponseParser

Direct Known Subclasses:
  StreamingBinaryResponseParser

    public class BinaryResponseParser
    extends ResponseParser

Since:
  solr 1.3

### Field Summary

Fields
`static String` `BINARY_CONTENT_TYPE`

### Constructor Summary

Constructors
Constructor and Description
`BinaryResponseParser()`

### Method Summary

Methods
`String` `getContentType()` A well behaved ResponseParser will return it's content-type.
`String` `getVersion()`
`String` `getWriterType()`
`NamedList<Object>` `processResponse(InputStream body, String encoding)`
`NamedList<Object>` `processResponse(Reader reader)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### BINARY_CONTENT_TYPE

    public static final String BINARY_CONTENT_TYPE

See Also:
  Constant Field Values

### Constructor Detail

#### BinaryResponseParser

    public BinaryResponseParser()

### Method Detail

#### getWriterType

    public String getWriterType()

Specified by:
  `getWriterType` in class `ResponseParser`

#### processResponse

    public NamedList<Object> processResponse(InputStream body,
                                    String encoding)

Specified by:
  `processResponse` in class `ResponseParser`

#### getContentType

    public String getContentType()

Description copied from class: `ResponseParser`
A well behaved ResponseParser will return it's content-type.

Overrides:
  `getContentType` in class `ResponseParser`
Returns:
  the content-type this parser expects to parse

#### getVersion

    public String getVersion()

Overrides:
  `getVersion` in class `ResponseParser`
Returns:
  the version param passed to solr

#### processResponse

    public NamedList<Object> processResponse(Reader reader)

Specified by:
  `processResponse` in class `ResponseParser`